Extending Qt Creator Manual | SourceAgent

Extending Qt Creator Manual 4.7.1

# SourceAgent Class

(Debugger::Internal::SourceAgent)

- List of all members, including inherited members

## Public Functions

| SourceAgent(Debugger::Internal::DebuggerEngine *engine)
| ~SourceAgent()
void | resetLocation()
void | setContent(const int &name, const int &content)
void | setSourceProducerName(const int &name)
void | updateLocationMarker()

## Member Function Documentation

### SourceAgent::SourceAgent(Debugger::Internal::DebuggerEngine *engine)

Default constructs an instance of SourceAgent.

### SourceAgent::~SourceAgent()

Destroys the instance of SourceAgent.

### void SourceAgent::resetLocation()

### void SourceAgent::setContent(const int &name, const int &content)

### void SourceAgent::setSourceProducerName(const int &name)

### void SourceAgent::updateLocationMarker()